/*Ghassan Fakher
 * section 4
 * 201301739
 gkf01*/
public abstract class Employee {
	private String firstName;
	private String lastName;
	private String ssNumber;	//the social security number
	
	
	public Employee(String firstName, String lastName, String ssNumber)
	{
		this.firstName = firstName;
		this.lastName = lastName;
		this.ssNumber = ssNumber;
	}
	public abstract double earnings();		//an abstract method overridden by subclasses
	
	
	//the getter is to be used later in string representation of each employee
	public String getWholeName()
	{
		return firstName + " " + lastName;
	}
	public String getSocialSecurityNumber()
	{
		return ssNumber;
	}
	//returns a string representation of the employee
	public String toString()
	{
		String s = firstName;
		s += " " + lastName;
		s += "\n" + "social security number: " + ssNumber;
		return s;
	}
}
