/*Ghassan Fakher
 * section 4
 * 201301739
 gkf01*/
public class HourlyEmployee extends Employee{
	private double wage;
	private double hours;
	private String employeeType;
	
	public HourlyEmployee(String firstName, String lastName, String ssNumber, double wage, double hours)
	{
		super(firstName, lastName, ssNumber);
		this.wage = wage;
		this.hours = hours;
		employeeType = "hourly employee";
	}
	//returns the hourly wage of the employee
	public double getWage()
	{
		return wage;
	}
	//returns the numebr of hours worked by the employee
	public double getHours()
	{
		return hours;
	}
	//sets the number of hours worked to a specific double
	public void setHours(double hours)
	{
		this.hours = hours;
	}
	//sets the hourly wage to a specific double
	public void setWage(double wage)
	{
		this.wage = wage;
	}
	
	//calculates earnings: an employee gets paid the wage for the first 40 hours. Every extra hour is paid 1.5 the hourly wage
	public double earnings() {
		double extraHours = 0;
		if(hours > 40)
			extraHours = hours - 40;
		double earnings = (40 * wage) + (1.5 * wage * extraHours);
		return earnings;
	}
	public String toString()
	{
		String s = employeeType + ": " + super.getWholeName();
		s += "\n" + "social security number: " + getSocialSecurityNumber(); 
		s += "\n" + "hourly wage: $" + wage + "; ";
		s += "hours worked: " + hours;
		return s;
	}
}
